---

# Launch the playbook like that :
# usage: ./PHAD01.sh socle_yars_upgrade.yml -v ../env/vault/yars_vault.pwd --check
# usage: ./PHAD01.sh socle_yars_upgrade.yml -v ../env/vault/yars_vault.pwd -v ../env/vault/pkiaas_vault.pwd -e "pki_java_default_trustore_prefix=unipass_2016_" --check

# - name: socle yars playbook
#   hosts:
#     - "Datanode:Namenode:&Production"
#   tasks:

#   - name: Deploying certificats CA 2016 on all hosts
#     include_role:
#       name: socle_pki
#     vars:
#       pki_state: "only_CA"
#       pki_main_cert_dir: "../env/certificats"
#       pki_vault_file: "../env/vault/pkiaas_vault.yml"

- name: socle yars playbook
  become: true
  hosts:
    - YarsServer
  tasks:

#   - name: Yars installation
#     include_role:
#       name: socle_yars
#     vars:
#       yars_state: "install"
#       yars_version: "1.24"
#       yars_release_type: "releases"
#
#   - name: Yars installation
#     include_role:
#       name: socle_yars
#     vars:
#       yars_state: "install_remote_agent"
#       yars_version: "1.24"
#       yars_release_type: "releases"

   - name: Yars configure and install oozie package
     include_role:
       name: socle_yars
     vars:
       yars_state: "configure"
       yars_version: "1.24"
       yars_release_type: "releases"

  # - name: Yars get admin list
  #   include_role:
  #     name: socle_yars
  #   vars:
  #     yars_state: "api_admin"
  #     yars_admin_state: "get_admin"

  # - name: Yars get adding an admin
  #   include_role:
  #     name: socle_yars
  #   vars:
  #     yars_state: "api_admin"
  #     yars_admin_state: "add_admin"
  #     yars_admin_email: "frederic.viguier@socgen.com"

  # - name: Yars get path authorizations
  #   include_role:
  #     name: socle_yars
  #   vars:
  #     yars_state: "api_admin"
  #     yars_admin_state: "get_path_authorizations"

#  - name: Yars create path authorizations
#    include_role:
#      name: socle_yars
#    vars:
#      yars_state: "api_admin"
#      yars_admin_state: "create_path_authorizations"
#      yars_admin_path_authorization_dto :
#        username: "yarspadm"
#        sourcePath: "/user/yarspadm/test_replication"
#        sourceDataStoreName: "phad01"
#        destinationPath: "/user/dtlprd19/test_replication"
#        destinationDataStoreName: "dtl_prd"
#        withGrant: false

  # - name: Yars delete path authorizations
  #   include_role:
  #     name: socle_yars
  #   vars:
  #     yars_state: "api_admin"
  #     yars_admin_state: "delete_path_authorizations"
  #     yars_path_authorization_Id: 1
